> For the complete documentation index, see [llms.txt](https://docs.wepin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wepin.io/en/widget-integration/web-javascript-sdk/login-library/installation.md).

# Installation

## Installing with a Package Manager

It can be installed as an npm package.

{% tabs %}
{% tab title="npm" %}

```bash
npm install @wepin/login-js
```

{% endtab %}

{% tab title="yarn" %}

```bash
yarn add @wepin/login-js
```

{% endtab %}
{% endtabs %}

Once the installation is complete, initialize the WepinLogin instance using the app ID and app key assigned after registering the app. This will enable the use of WepinLogin.

<pre class="language-javascript"><code class="lang-javascript"><strong>// 1. Import the package
</strong>import { WepinLogin } from '@wepin/login-js'
<strong>
</strong>// 2. Initialization
const wepinLogin = new WepinLogin({
    appId: 'your-wepin-app-id',
    appKey: 'your-wepin-api-key',
})
</code></pre>

{% hint style="danger" %}
This package is designed to work only in **Client Side Rendering (CSR)** environments. If you are using this package in a Server Side Rendering (SSR) environment, you need to configure it so that the package is loaded only on the client side.

Refer to the following code for implementation:

```javascript
const initWepinLogin = async () => {
    const { WepinLogin} = await import('@wepin/login-js');
    const wepinLogin = new WepinLogin({
        appKey: '',
        appId: '',
    });
    await wepinLogin .init({
        defaultLanguage: 'ko',
    });
}
```

{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/web-javascript-sdk/login-library/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
